Subject: bug#74903: [PATCH] Add function to show table of keys when describing keymap variable

From: Robert Pluim <[email-masked]>
Date: Tue, 17 Dec 2024 09:32:25 +0100

>>>>> On Tue, 17 Dec 2024 09:59:57 +0200, Juri Linkov <[email-masked]> said:

    Mekeor> 1. Allow users to opt-in to have C-h v foo-keymap RET show a table of
    Mekeor> key bindings in addition to the formatting as S-expression. This fits
    Mekeor> well into the existing help-fns mechanism. The patch I submitted
    Mekeor> implements a prototype.
    >> 
    >> Again, I donʼt see a need for it. A user trying to figure out
    >> keybindings is not going to be inspecting keymap variables, and
    >> `describe-bindings' or `describe-mode' tells them what they need to
    >> know. A developer writing code presumably knows about keymaps, and
    >> doesnʼt need a different visual representation of them to get stuff
    >> done.

    Juri> It would be nice if users will be able first to see keymap tables
    Juri> in the output of `describe-repeat-maps', then click on a map
    Juri> variable, and see the same keymap table individually.

? I must be misunderstanding, because thatʼs already how
`describe-repeat-maps' works.

Robert
--